---
title: '<xsl:template>'
slug: Web/XSLT/Element/template
tags:
  - Element
  - Reference
  - Template
  - XSLT
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:template&gt;</code> element defines an output producing template. This element must have either the match attribute or the name attribute set.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:template
	match=PATTERN
	name=NAME
	mode=NAME
	priority=NUMBER&gt;
	&lt;xsl:param&gt; [optional]
	TEMPLATE
&lt;/xsl:template&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<p>None.</p>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<dl>
 <dt><code>match</code></dt>
 <dd>Specifies a pattern that determines the elements for which this template should be used. It is a required attribute if there is no <code>name</code> attribute.</dd>
</dl>

<dl>
 <dt><code>name</code></dt>
 <dd>Specifies a name for this template, by which it can be invoked through the <code>&lt;xsl:call-template&gt;</code> element.</dd>
</dl>

<dl>
 <dt><code>mode</code></dt>
 <dd>Specifies a particular mode for this template, which can be matched by an attribute of the <code>&lt;xsl:apply-templates&gt;</code> element. This is useful for processing the same information in multiple ways.</dd>
</dl>

<dl>
 <dt><code>priority</code></dt>
 <dd>Specifies a numeric priority for this template. This can be any number other than <code>Infinity</code>. The processor uses this number when more than one template matches the same node.</dd>
</dl>

<h3 id="Type">Type</h3>

<p>Top-level, must be the child of <code>&lt;xsl:stylesheet&gt;</code> or <code>&lt;xsl:transform&gt;</code>.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 5.3.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
